com.icl.saxon

## Class KeyDefinition

- java.lang.Object
- - com.icl.saxon.KeyDefinition

-     public class KeyDefinition
      extends java.lang.Object

  Corresponds to a single key definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyDefinition(int fingerprint, Pattern match, Expression use)` Constructor to create a key definition

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFingerprint()` Get the fingerprint of the name of the key definition
    `Pattern` | `getMatch()` Get the match pattern for the key definition
    `Expression` | `getUse()` Get the use expression for the key definition

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyDefinition

          public KeyDefinition(int fingerprint,
                       Pattern match,
                       Expression use)

      Constructor to create a key definition

  - ### Method Detail

    - #### getFingerprint

          public int getFingerprint()

      Get the fingerprint of the name of the key definition

    - #### getMatch

          public Pattern getMatch()

      Get the match pattern for the key definition

    - #### getUse

          public Expression getUse()

      Get the use expression for the key definition